<?php
session_start();
include "procesos/creditos_formulas.php";
include("conexion.php");


//session_start();
//include "verifica.php";


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Reporte de ventas</title>

<script src="assets/js/funciones.js"></script>
<script src="assets/js/numerosletras2.js"></script>

<style type="text/css">
<!--
.Estilo6 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
	letter-spacing: 0px;
}
.Estilo8 {font-family: Arial, Helvetica, sans-serif; font-size: 11px; font-weight: bold; letter-spacing: -1px; }

.Estilo10 {font-family: Arial, Helvetica, sans-serif; font-size: 12px; font-weight: bold; letter-spacing: -1px; }

.Estilo11 {font-family: Arial, Helvetica, sans-serif; font-size: 12px; font-weight: normal; letter-spacing: 0px; }

.Estilo9 {
	font-size: 16px;
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
}
.Estilo16 {	font-family: Arial, Helvetica, sans-serif;
	font-size: 12px;
}
.Estilo17 {font-size: 11px; letter-spacing: -1px; font-family: Arial, Helvetica, sans-serif;}




-->
</style>
</head>

<body onload="cargar_grafico();">

<table width="779" border="0" cellpadding="2" cellspacing="2">
  <tr>
    <td width="771"><table width="915" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
        <td><div align="right">
          <div align="right"><span class="Estilo8"><a href="#" onclick="imprimir_reporte(); return false;">Imprimir</a> </span></div>
        </div></td>
      </tr>
      <tr>
        <td width="360" valign="bottom"><div align="left"><span class="Estilo9">REPORTE DE VENTAS</span></div></td>
        <td width="294"><div align="left"></div></td>
        <td width="261">&nbsp;</td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td><div align="left">
      <table width="899" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td width="105"><div align="left"><span class="Estilo8">FECHA DE REPORTE : </span></div></td>
          <td width="12"><div align="left"></div></td>
          <td width="116"><div  class="Estilo6" align="left"><?php echo date("d/m/Y");?></div></td>
          <td width="20">&nbsp;</td>
          <td width="122">&nbsp;</td>
          <td width="88">&nbsp;</td>
          <td width="111">&nbsp;</td>
          <td width="319">&nbsp;</td>
        </tr>
      </table>
    </div></td>
  </tr>
  
  <?php
  
  
  /*
  
 SELECT o.*, pt.*, dp.*, e.*, SUM(ordpeddet_precio * ordpeddet_cantidad) AS monto,  SUM(ordpeddet_cantidad) AS cantidad_total
FROM orden_pedido o
INNER JOIN pago_tipo pt ON o.pagtip_codi_fk=pt.pagtip_codi
INNER JOIN orden_pedido_detalle opd ON opd.ordped_codi_fk=o.ordped_codi
INNER JOIN documento_pago dp ON dp.docpag_codi=o.docpag_codi_fk
INNER JOIN empresas e ON o.emp_codi_fk=e.emp_codi
WHERE o.ordped_fecha<='2017-06-08' and o.ordped_fecha>='2017-01-01'
AND o.ordped_estado=1
GROUP BY o.ordped_fecha
ORDER BY o.ordped_fecha DESC, ordped_codi DESC; 
  
  */
  	$n = 0;
	$arr_mont = array();
	$arr_dia = array();	
  
  	@$xfecha_inicio = $_REQUEST['xfecha_inicio'];
  	@$xfecha_fin = $_REQUEST['xfecha_fin'];	

	@$xactivar_doc = $_REQUEST['xactivar_doc'];
	@$xpagodocumento_criterio = $_REQUEST['xpagodocumento_criterio'];
	
	@$xactivar_dia = $_REQUEST['xactivar_dia'];
	@$xdia_criterio = $_REQUEST['xdia_criterio'];	
	
	@$xemp_nom = $_REQUEST['xemp_nom'];	
	

	@$xactivar_tc = $_REQUEST['xactivar_tc'];
	@$xtc_criterio = $_REQUEST['xtc_criterio'];
	@$xactivar_loc = $_REQUEST['xactivar_loc'];
	@$xciudad = $_REQUEST['xciudad'];
	@$xdistrito = $_REQUEST['xdistrito'];
	@$xactivar_emp = $_REQUEST['xactivar_emp'];
	@$xemp_criterio = $_REQUEST['xemp_criterio'];

	

	

	$xemp_nom ="";
	
	if($xemp_criterio!=NULL and trim($xemp_criterio!="")){
		$r_empresa = mysqli_query($conexion, "SELECT emp_nom FROM empresas e WHERE emp_codi=$xemp_criterio;");
		while($row_empresa = mysqli_fetch_array($r_empresa)){
			$xemp_nom = $row_empresa['emp_nom'];
	
		}
	}	

	if($xactivar_emp == 1 and trim($xemp_criterio)!=""){
		//$xcretip_nombre ="";		
	}else{
		$xemp_nom ="TODOS";
	}
	

	@$xs_empresa=$_SESSION['s_empresa'];																									
	if(@$xactivar_emp==1){
														
		if(trim($xemp_criterio)==""){
			$xsql_empresa = " ";
		}else{	
			$xsql_empresa = " AND o.emp_codi_fk=$xemp_criterio ";
		}	

	}else{
	
		$xsql_empresa = " AND o.emp_codi_fk=$xs_empresa ";
							
	}
																							




	if($xactivar_doc == 1 and trim($xpagodocumento_criterio)!=""){
		//$xcretip_nombre ="";		
	}else{
		$xdoc_nom ="TODOS";
	}
	

	$xdoc_nom ="";
	
	if($xpagodocumento_criterio!=NULL and trim($xpagodocumento_criterio!="")){
		$r_documento = mysqli_query($conexion, "select docpag_nombre from documento_pago WHERE docpag_codi=$xpagodocumento_criterio;");
		while($row_documento = mysqli_fetch_array($r_documento)){
			$xdoc_nom = $row_documento['docpag_nombre'];
	
		}
	}	

	if($xactivar_doc == 1 and trim($xpagodocumento_criterio)!=""){
		//$xcretip_nombre ="";		
	}else{
		$xdoc_nom ="TODOS";
	}
	

	if(@$xactivar_doc==1){														
		if(trim($xpagodocumento_criterio)==""){
			$xsql_documento = " ";
		}else{	
			$xsql_documento = " AND o.docpag_codi_fk=$xpagodocumento_criterio ";
		}	
	}else{	
		$xsql_documento = " ";							
	}
																							
												
	if(@$xactivar_dia==1){														
		if(trim($xdia_criterio)==""){
			$xsql_dia = " ";
		}else{	
			$xsql_dia = " AND WEEKDAY(ordped_fecha)=$xdia_criterio ";
		}	
	}else{	
		$xsql_dia = " ";							
	}
	
												
	
	
	
	//SELECT * FROM country c INNER JOIN city ct ON c.country_id = ct.country_id WHERE ct.city_id=13;
	//SELECT * FROM empresas e WHERE emp_codi=1;
  
  
  ?>
  
  <tr>
    <td><div align="left">
      <table width="909" border="0" cellspacing="1" cellpadding="0">
        <tr>
          <td><div align="left">
            <div align="right">
              <div align="left"><span class="Estilo8">CRITERIO DE FILTRO : </span></div>
            </div>
          </div></td>
          <td><div align="right" class="Estilo17">
            <div align="left"><span class="Estilo6">Rango de fechas  </span></div>
          </div></td>
          <td><div align="right" class="Estilo17">
            <div align="left"><span class="Estilo6">: </span></div>
          </div></td>
          <td><span class="Estilo6">Desde <?php echo date("d/m/Y",strtotime($xfecha_inicio));?> hasta <?php echo date("d/m/Y",strtotime($xfecha_fin));?></span></td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
        <tr>
          <td width="113">&nbsp;</td>
          <td width="127"><div align="right" class="Estilo17">
            <div align="left"><span class="Estilo6">Tipo de documento </span></div>
          </div></td>
          <td width="12"><div align="right" class="Estilo17">
            <div align="left"><span class="Estilo6">: </span></div>
          </div></td>
          <td width="415"><div  class="Estilo6" align="left"><?php echo $xdoc_nom;?></div></td>
          <td width="19">&nbsp;</td>
          <td width="30">&nbsp;</td>
          <td width="50">&nbsp;</td>
          <td width="134">&nbsp;</td>
        </tr>
        
        <tr>
          <td>&nbsp;</td>
          <td><div align="right" class="Estilo6">
            <div align="left">Empresa (sucursal) </div>
          </div></td>
          <td><div align="right" class="Estilo17">
            <div align="left"><span class="Estilo6">: </span></div>
          </div></td>
          <td><div align="left">
            <div  class="Estilo6" align="left"><?php echo $xemp_nom;?></div>
          </div></td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
          <td>&nbsp;</td>
        </tr>
      </table>
    </div></td>
  </tr>
  <tr>
    <td><div align="left"></div></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td><iframe src="" id="frame_grafico" name="frame_grafico" width="810" height="450" frameborder="0" scrolling="Yes" marginheight="0" marginwidth="0" allowtransparency="AllowTransparency"></iframe></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
  </tr>



<?php
$xtotal_creditos = 0;




//$fechainicial = '2016-07-01';
//$fechafinal = '2017-06-08';

$fechainicial = $xfecha_inicio;
$fechafinal = $xfecha_fin;

/*
echo "FECHA INICIAL: ".$fechainicial;
echo "<br>";
echo "FECHA FINAL: ".$fechafinal;
echo "<br>";
*/

$anoinicial = date('Y',strtotime($fechainicial));
$anofinal = date('Y',strtotime($fechafinal));

$mesinicial = date('n',strtotime($fechainicial));
$mesfinal = date('n',strtotime($fechafinal));

/*
echo "MES INICIAL: ".$mesinicial;
echo "<br>";
echo "MES FINAL: ".$mesfinal;
echo "<br>";
*/

function saber_dia($nombredia) {
	$dias = array('','Lunes','Martes','Miércoles','Jueves','Viernes','Sábado','Domingo');
	$fecha = $dias[date('N', strtotime($nombredia))];
	echo $fecha;
	//echo "<br>";
	//echo date('N', strtotime($nombredia));
}

function saber_dia_2($nombredia) {
	$dias = array('','Lunes','Martes','Miércoles','Jueves','Viernes','Sábado','Domingo');
	$fecha = $dias[date('N', strtotime($nombredia))];
	//echo $fecha;
	return $fecha;
}

for($xn=$anoinicial; $xn<=$anofinal; $xn++){
	//echo "AÑO:".$xn;

?>

  <tr style="display:block; padding-top:20px;">
    <td height="23">
	<div >	
		<div align="left" style="float:left; " ><span class="Estilo9" style="font-size:20px;"><?php echo "A&Ntilde;O:".$xn; ?> </span></div>  
		<div style="float:left; padding-left:10px;"><span class="Estilo16"> <div id="d_cant_cobranzas" >  </div> </span></div>
	</div>	</td>
  </tr>
  
   
  <tr>
    <td>========================================================================================</td>
  </tr>
   
<?
	$xm_inicio=1;
	$xm_fin=12;
	if($xn==$anoinicial){
		$xm_inicio=$mesinicial;
	}
	if($xn==$anofinal){
		$xm_fin=$mesfinal;
	}
	
	//$dias = array("domingo","lunes","martes","miércoles","jueves","viernes","sábado");
	
	for($xm=$xm_inicio; $xm<=$xm_fin; $xm++){
	
		$xmm = trim("0".$xm);
		$xmm = substr($xmm, strlen($xmm)-2, 2);
	
		$month = $xn.'-'.$xmm;
		$aux = date('Y-m-d', strtotime("{$month} + 1 month"));
		$last_day = date('Y-m-d', strtotime("{$aux} - 1 day"));		
		
		if($xn==$anoinicial and $xm==$xm_inicio){
			$first_day = $fechainicial;
		}else{
			$first_day = $xn.'-'.$xmm.'-01';			
		}
		if($xn==$anofinal and $xm==$xm_fin){
			$last_day = $fechafinal;
		}else{
			$last_day = $last_day;
		}
		
		
		switch ($xm) {
			case 1:
				$cmes = "ENERO";
				break;
			case 2:
				$cmes = "FEBRERO";
				break;
			case 3:
				$cmes = "MARZO";
				break;
			case 4:
				$cmes = "ABRIL";
				break;
			case 5:
				$cmes = "MAYO";
				break;
			case 6:
				$cmes = "JUNIO";
				break;
			case 7:
				$cmes = "JULIO";
				break;
			case 8:
				$cmes = "AGOSTO";
				break;
			case 9:
				$cmes = "SETIEMBRE";
				break;
			case 10:
				$cmes = "OCTUBRE";
				break;
			case 11:
				$cmes = "NOVIEMBRE";
				break;
			case 12:
				$cmes = "DICIEMBRE";
				break;				
				
		}
					
		//echo "...MES:".$xm. "(desde ".$first_day."  hasta ".$last_day .")";
		//echo "<br>";

?>
  <tr style="display:block; padding-top:10px;">
    <td>
	<div >	
		<div align="left" style="float:left; " ><span class="Estilo9"><?php echo $cmes." - ".$xn; ?> </span></div>  
		<div style="float:left; padding-left:10px;"><span class="Estilo16"> <div id="d_cant_cobranzas" >  </div> </span></div>
	</div>	</td>
  </tr>
  
   
  <tr>
    <td><div align="left">
      <div align="left">
        <table width="397" border="1" cellpadding="0" cellspacing="0" bordercolor="#397AA8">
          <tr>
            <td width="393"><table width="800" border="0" cellpadding="1" cellspacing="1">
                <tr>
                  <td width="79"><div align="left"><span class="Estilo8">FECHA</span></div></td>
                  <td width="54"><div align="left"><span class="Estilo8">DIA</span></div></td>
                  <td width="65"><div align="center"><span class="Estilo8">TICKETS </span></div></td>
                  <td width="91"><div align="left"><span class="Estilo8">TICKET PROMEDIO </span></div></td>
                  <td width="93"><div align="left"><span class="Estilo8">TIPO  DOCUMENTO</span></div></td>
                  <td width="173"><div align="left"><span class="Estilo8">EMPRESA (SUCURSAL) </span></div></td>
                  <td width="75"><div align="right"><span class="Estilo8">PENDIENTE</span></div></td>
                  <td width="71"><div align="right"><span class="Estilo8">AMORTIZADO</span></div></td>
                  <td width="71"><div align="right"><span class="Estilo8">MONTO</span></div></td>
                </tr>
            </table></td>
          </tr>
          <tr>
            <td><table width="800" border="0" cellpadding="1" cellspacing="1">
                <?php 
				
				$r_ventas = mysqli_query($conexion,"SELECT o.ordped_fecha, pt.pagtip_nombre, dp.docpag_nombre, e.emp_nom,
													SUM(((ordpeddet_precio - ordpeddet_precio_descuento) * (ordpeddet_cantidad - ordpeddet_cantidad_devolver)) 													
													+ (ordpeddet_icbper_monto_unitario * (ordpeddet_cantidad - ordpeddet_cantidad_devolver)))  AS monto,   
													SUM(ordpeddet_cantidad - ordpeddet_cantidad_devolver) AS cantidad_total
													FROM orden_pedido o
													INNER JOIN pago_tipo pt ON o.pagtip_codi_fk=pt.pagtip_codi
													INNER JOIN orden_pedido_detalle opd ON opd.ordped_codi_fk=o.ordped_codi
													INNER JOIN documento_pago dp ON dp.docpag_codi=o.docpag_codi_fk
													INNER JOIN empresas e ON o.emp_codi_fk=e.emp_codi
													WHERE o.ordped_fecha<='$last_day' and o.ordped_fecha>='$first_day'
													AND o.ordped_estado=1 "
													.$xsql_empresa.$xsql_documento.$xsql_dia.
													"GROUP BY o.ordped_fecha
													ORDER BY o.ordped_fecha;");
				
				$xamortizacion = 0;
				$xmonto_total_mes = 0;
				$xamortizacion_total_mes = 0;
				$xpendiente_total_mes = 0;
				$nr = 0;
				
				while($row_ventas = mysqli_fetch_array($r_ventas)){
					
					$xamortizacion = 0;
					
					$xfecha = $row_ventas['ordped_fecha'];
					//$xemp_nom = $row_ventas['emp_nom'];
					$xmonto = number_format($row_ventas['monto'],2,'.','');
					
					
					$n = $n + 1;					
					//$arr_dia[$n] = saber_dia_2($xfecha).": ".date("d/m",strtotime($row_ventas['ordped_fecha']));
					//$arr_mont[$n] = number_format($row_ventas['monto'],2,'.','');
					
					$arr_dia_elemento = saber_dia_2($xfecha).": ".date("d/m",strtotime($row_ventas['ordped_fecha']));
					$arr_mont_elemento = number_format($row_ventas['monto'],2,'.','');
					
					array_push($arr_dia, $arr_dia_elemento);
					array_push($arr_mont, $arr_mont_elemento);					
					
					
					
					$r_operaciones = mysqli_query($conexion,"SELECT COUNT(ordped_codi) AS cantidad_operaciones 
															FROM orden_pedido o
															WHERE ordped_fecha='$xfecha'
															AND ordped_estado=1;");
					$xcantidad_operaciones = 0;
					while($row_operaciones = mysqli_fetch_array($r_operaciones)){
						$xcantidad_operaciones = $row_operaciones['cantidad_operaciones'];
					}										

					$xticket_promedio = $xmonto / $xcantidad_operaciones;
					
					$xmonto_total_mes = $xmonto_total_mes + $xmonto;
																
					$xamortizacion = $creform->calcular_amortizacion($conexion, $xfecha, $xsql_empresa, $xsql_documento);
					$xamortizacion = number_format($xamortizacion,2,'.','');
					$xamortizacion_total_mes = $xamortizacion_total_mes + $xamortizacion;
					
					//$xamortizacion_notacredito = $creform->calcular_amortizacion_notacredito($conexion, $xfecha, $xsql_empresa, $xsql_documento);
					//$xamortizacion_notacredito = number_format($xamortizacion_notacredito,2,'.','');					
					
					$xpendiente = $xmonto - $xamortizacion;					
					//$xpendiente = $xmonto - $xamortizacion + $xamortizacion_notacredito;
					
					$xpendiente_total_mes = $xpendiente_total_mes + $xpendiente;
					
					$nr = $nr + 1;
					
					if($nr % 2 == 1){
						$xcolor_linea = "#FFFFFF";
					}else{
						$xcolor_linea = "#E9E9E9";					
					}
					
					
						
				?>
                <tr style="background-color:<?php echo $xcolor_linea;?>;">
                  <td width="78"><div align="left"><span class="Estilo16"><?php echo date("d/m/Y",strtotime($xfecha));?></span></div></td>
                  <td width="53"><div align="left" class="Estilo16"><?php saber_dia($xfecha); ?></div></td>
                  <td width="68"><div align="center"><span class="Estilo16"><?php echo $xcantidad_operaciones;?></span></div></td>
                  <td width="91"><div align="right"><span class="Estilo16"><?php echo number_format($xticket_promedio,2,'.',',');?></span></div></td>
                  <td width="93"><div align="center">
                      <div align="left"><span class="Estilo16"><?php echo $xdoc_nom;?></span></div>
                  </div></td>
                  <td width="174"><div align="center">
                      <div align="center">
                        <div align="left"><span class="Estilo16"><?php echo $xemp_nom;?></span></div>
                      </div>
                  </div></td>
                  <td width="76"><div align="center">
                      <div align="center">
                        <div align="right"><span class="Estilo16"><?php echo number_format($xpendiente,2,'.',',');?></span></div>
                      </div>
                  </div></td>
                  <td width="71"><div align="center">
                      <div align="center">
                        <div align="right"><span class="Estilo16"><?php echo number_format($xamortizacion,2,'.',',');?></span></div>
                      </div>
                  </div></td>
                  <td width="68"><div align="right"><span class="Estilo16"><?php echo number_format($xmonto,2,'.',',');?></span></div></td>
                </tr>

				<?php
				}
				?>

                <tr>
                  <td colspan="9">========================================================================================</td>
                  </tr>
                <tr>
                  <td>&nbsp;</td>
                  <td>&nbsp;</td>
                  <td>&nbsp;</td>
                  <td>&nbsp;</td>
                  <td>&nbsp;</td>
                  <td><div align="right"><span class="Estilo8">TOTAL: </span></div></td>
                  <td><div align="right"><span class="Estilo16"><?php echo number_format($xpendiente_total_mes,2,'.',',');?></span></div></td>
                  <td><div align="right"><span class="Estilo16"><?php echo number_format($xamortizacion_total_mes,2,'.',',');?></span></div></td>
                  <td><div align="right"><span class="Estilo16"><?php echo number_format($xmonto_total_mes,2,'.',',');?></span></div></td>
                </tr>
				
				
				
            </table></td>
          </tr>
        </table>
      </div>
    </div></td>
  </tr>
   
<?php

	}
}

$_SESSION['arr_dia'] = $arr_dia; 
$_SESSION['arr_mont'] = $arr_mont; 

?>

<script language="javascript">
//alert("esss 1113");
//document.getElementById('frame_grafico').src = "graficos/ventasdias.php";
document.getElementById('frame_grafico').src = "graficos/ventasdias.php?n=<?php echo $n;?>";
</script> 
    
  <tr>
    <td>&nbsp;</td>
  </tr>
  
  

  <tr>
    <td>&nbsp;</td>
  </tr>
  

  
  <tr>
    <td>========================================================================================</td>
  </tr>
   

  <tr>
    <td><div align="left"><span class="Estilo6">USUARIO: <?php //echo $xcre_usu_crea;?></span></div></td>
  </tr>
</table>


</body>



</html>
